# Get Account by ID

This endpoint allows you to retrieve a specific ShipStation API account using its ShipStation API account ID. Note that this is **not** the same as the `external_account_id`, which is your own unique ID for the account. There is a separate endpoint that allows you to [get an account using its external ID](/apis/shipengine/docs/partners/accounts/get-account-by-external-id).

## Example Request & Response

**GET /v1/partners/accounts/:account_id**


```http
GET /v1/partners/accounts/123456 HTTP/1.1
Host: api.shipengine.com
API-Key: __PARTNER_API_KEY_HERE__
```

**Example response:**


```json
{
  "account_id": 123456,
  "external_account_id": "819748723192",
  "created_at": "2022-12-04T23:06:39.197Z",
  "modified_at": "2022-12-04T23:06:39.197Z",
  "active": true,
  "email": "819748723192@acme.corp",
  "company_name": "Acme Corp.",
  "first_name": "John",
  "last_name": "Doe",
  "origin_country_code": "US"
}
```